|
|
@@ -0,0 +1,63 @@
|
|
|
+#!/bin/bash
|
|
|
+
|
|
|
+dangeroption="--allow-internet-access-and-risk-tracing-and-jail-or-martyrdom"
|
|
|
+
|
|
|
+intro=
|
|
|
+
|
|
|
+
|
|
|
+intro()
|
|
|
+{
|
|
|
+echo ""
|
|
|
+echo "This script installs recommended basic Sword modules for use by"
|
|
|
+echo "the Bible emacs application."
|
|
|
+echo ""
|
|
|
+
|
|
|
+}
|
|
|
+
|
|
|
+warn()
|
|
|
+{
|
|
|
+echo ""
|
|
|
+echo "-=+* WARNING *+=- -=+* WARNING *+=-"
|
|
|
+echo ""
|
|
|
+echo ""
|
|
|
+echo "Although this setup script provides a convenient way for installing"
|
|
|
+echo "and upgrading SWORD components, it also uses a systematic method"
|
|
|
+echo "for accessing sites which gives packet sniffers a target to lock"
|
|
|
+echo "into for singling out users."
|
|
|
+echo ""
|
|
|
+echo ""
|
|
|
+echo "IF YOU LIVE IN A COUNTRY WHERE YOU MAY BE PERSECUTED AND DO NOT WISH"
|
|
|
+echo "TO RISK DETECTION, YOU SHOULD *NOT* USE THIS SETUP SCRIPT!"
|
|
|
+}
|
|
|
+
|
|
|
+intro;
|
|
|
+warn;
|
|
|
+
|
|
|
+
|
|
|
+echo -n "Continue [y/N]? " >&2
|
|
|
+
|
|
|
+read answer
|
|
|
+
|
|
|
+if [ "$answer" != "y" ]; then
|
|
|
+ exit 1
|
|
|
+fi
|
|
|
+
|
|
|
+echo -n "Updating remote sources...."
|
|
|
+installmgr $dangeroption -sc
|
|
|
+echo "done"
|
|
|
+
|
|
|
+echo -n "Installing Bible modules...."
|
|
|
+installmgr $dangeroption -r CrossWire
|
|
|
+installmgr $dangeroption -ri CrossWire KJV
|
|
|
+installmgr $dangeroption -ri CrossWire Byz
|
|
|
+installmgr $dangeroption -ri CrossWire MorphGNT
|
|
|
+installmgr $dangeroption -ri CrossWire OSHB
|
|
|
+installmgr $dangeroption -ri CrossWire OSHM
|
|
|
+installmgr $dangeroption -ri CrossWire AbbottSmithStrongs
|
|
|
+installmgr $dangeroption -ri CrossWire BDBGlosses_Strongs
|
|
|
+installmgr $dangeroption -r "Lackman Foundation"
|
|
|
+installmgr $dangeroption -ri "Lackman Foundation" NASB
|
|
|
+installmgr $dangeroption -r "Xiphos"
|
|
|
+installmgr $dangeroption -ri "Xiphos" StrongsRealGreek
|
|
|
+installmgr $dangeroption -ri "Xiphos" StrongsRealHebrew
|
|
|
+
|